import { EventEmitter } from "../../stencil-public-runtime";
import * as langly from "langly";
import { Account, Order } from "@payfunc/model";
export declare class PayfuncAccountsTable {
  element: HTMLElement;
  accounts?: Account[];
  orders?: {
    [id: string]: Order[] | undefined;
  };
  whitelist?: boolean;
  selected: {
    [id: string]: Account | undefined;
  };
  selectedChanged: EventEmitter<{
    [id: string]: Account | undefined;
  }>;
  count: number;
  opened: {
    [id: string]: "" | "balance" | "customer" | "method" | "number" | "order" | "subscription";
  };
  t: langly.Translate;
  componentWillLoad(): void;
  onChecked(event: CustomEvent<{
    selected: boolean;
  }>): void;
  handleToggle(event: CustomEvent<{
    account: Account;
    checked: boolean;
  }>): void;
  toggleColumn(e: CustomEvent<{
    id: string;
    column: "" | "balance" | "customer" | "method" | "number" | "order" | "subscription";
    method: Account.Method;
  }>): void;
  render(): any;
}
